
%global meadversion 4.4.14
%global namedversion 4.4.14.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with extras
%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package httpcomponents-core}
%{!?scl:%global pkg_name %{name}}

%define maven_version 4.4.14.redhat-00001

Name:           %{?scl_prefix}httpcomponents-core
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache HttpComponents Core
Group:          Development/Java

%if %with mead
Source100: httpcomponents-core-4.4.14.redhat-00001-project-sources.tar.gz
Source102: httpcore-4.4.14.redhat-00001.jar
Source103: httpcore-nio-4.4.14.redhat-00001.jar
Source104: httpcore-4.4.14.redhat-00001.pom
Source105: httpcore-osgi-4.4.14.redhat-00001.pom
Source106: httpcore-4.4.14.redhat-00001-tests.jar
Source107: httpcore-osgi-4.4.14.redhat-00001-sources.jar
Source108: httpcomponents-core-4.4.14.redhat-00001-javadoc.jar
Source109: httpcore-ab-4.4.14.redhat-00001-javadoc.jar
Source110: httpcore-osgi-4.4.14.redhat-00001.jar
Source111: httpcore-4.4.14.redhat-00001-javadoc.jar
Source112: httpcore-4.4.14.redhat-00001-sources.jar
Source113: httpcore-ab-4.4.14.redhat-00001.pom
Source114: httpcore-nio-4.4.14.redhat-00001.pom
Source115: httpcore-nio-4.4.14.redhat-00001-javadoc.jar
Source116: httpcore-ab-4.4.14.redhat-00001-sources.jar
Source117: httpcore-ab-4.4.14.redhat-00001.jar
Source118: httpcore-nio-4.4.14.redhat-00001-sources.jar
Source119: httpcomponents-core-4.4.14.redhat-00001.pom
%endif

License:        ASL 2.0 or CC-BY
URL:            http://hc.apache.org/httpcomponents-core
Provides:       %{?scl_prefix}httpcore = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}httpcore-nio = %{epoch}:%{version}-%{release}
%if %with extras
Provides:       %{?scl_prefix}httpcore-osgi = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}httpcore-ab = %{epoch}:%{version}-%{release}
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Core components to build HTTP enabled services.

%if %with javadoc
%package javadoc
Summary:        Javadoc for httpcomponents-core
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n httpcomponents-core-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/httpcore-%{namedversion}.jar %{buildroot}%{_javadir}/httpcore-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/httpcore-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/httpcore-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/httpcore-%{namedversion}-sources.jar %{buildroot}%{_javadir}/httpcore-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpcore-nio-%{namedversion}.jar %{buildroot}%{_javadir}/httpcore-nio-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/httpcore-nio-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/httpcore-nio-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/httpcore-nio-%{namedversion}-sources.jar %{buildroot}%{_javadir}/httpcore-nio-%{namedversion}-sources.jar
%if %with extras
%{__cp} -p %{_sourcedir}/httpcore-osgi-%{namedversion}.jar %{buildroot}%{_javadir}/httpcore-osgi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/httpcore-osgi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/httpcore-osgi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/httpcore-osgi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/httpcore-osgi-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpcore-ab-%{namedversion}.jar %{buildroot}%{_javadir}/httpcore-ab-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/httpcore-ab-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/httpcore-ab-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/httpcore-ab-%{namedversion}-sources.jar %{buildroot}%{_javadir}/httpcore-ab-%{namedversion}-sources.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/httpcomponents-core-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/httpcomponents-core-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/httpcomponents-core-%{namedversion} -x META-INF/\*
%{__ln_s} httpcomponents-core-%{namedversion} %{buildroot}%{_javadocdir}/httpcomponents-core
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc BUILDING.txt LICENSE.txt NOTICE.txt README.txt RELEASE_NOTES.txt
%{_javadir}/httpcore-%{namedversion}.jar
%{_javadir}/httpcore.jar
%if %with javadoc
%{_javadir}/httpcore-%{namedversion}-javadoc.jar
%{_javadir}/httpcore-javadoc.jar
%endif
%{_javadir}/httpcore-%{namedversion}-sources.jar
%{_javadir}/httpcore-sources.jar
%{_javadir}/httpcore-nio-%{namedversion}.jar
%{_javadir}/httpcore-nio.jar
%if %with javadoc
%{_javadir}/httpcore-nio-%{namedversion}-javadoc.jar
%{_javadir}/httpcore-nio-javadoc.jar
%endif
%{_javadir}/httpcore-nio-%{namedversion}-sources.jar
%{_javadir}/httpcore-nio-sources.jar
%if %with extras
%{_javadir}/httpcore-osgi-%{namedversion}.jar
%{_javadir}/httpcore-osgi.jar
%if %with javadoc
%{_javadir}/httpcore-osgi-%{namedversion}-javadoc.jar
%{_javadir}/httpcore-osgi-javadoc.jar
%endif
%{_javadir}/httpcore-osgi-%{namedversion}-sources.jar
%{_javadir}/httpcore-osgi-sources.jar
%{_javadir}/httpcore-ab-%{namedversion}.jar
%{_javadir}/httpcore-ab.jar
%if %with javadoc
%{_javadir}/httpcore-ab-%{namedversion}-javadoc.jar
%{_javadir}/httpcore-ab-javadoc.jar
%endif
%{_javadir}/httpcore-ab-%{namedversion}-sources.jar
%{_javadir}/httpcore-ab-sources.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/httpcomponents-core-%{namedversion}
%{_javadocdir}/httpcomponents-core
%endif

%changelog
* Tue Jan 12 2021 Yong Yang <yyang@redhat.com> - 4.4.14-1.redhat_00001.1
- RPM wrapper build 4.4.14.redhat-00001

* Thu Feb 06 2020 Permaine Cheung <pcheung@redhat.com> - 4.4.13-1.redhat_00001.1
- 4.4.13.redhat_00001

* Wed May 22 2019 Permaine Cheung <pcheung@redhat.com> - 4.4.5-1.redhat_00001.1
- 4.4.5.redhat_00001

* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 4.4.4-4.redhat_2.1
- Rewrap for 7.2.0

* Thu May 03 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 4.4.4-3.redhat_2.1
- upgrade to 4.4.4.redhat-2

* Thu May 03 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 4.4.4-3.redhat_2.1
- upgrade to 4.4.4.redhat-2

* Wed Nov 08 2017 Permaine Cheung <pcheung@redhat.com> - 4.4.4-2.redhat_1.1
- Fix License (JBEAP-13468)

* Tue Jan 24 2017 Petr Sakar <psakar@redhat.com> - 4.4.4-1.redhat_1.1
- upgrade to 4.4.4.redhat-1

* Tue Aug 25 2015 Hui Wang <huwang@redhat.com> - 4.4.1-1.redhat_1.1
- Upgrade to 4.4.1.redhat-1

* Tue Jun 16 2015 David Walluck <dwalluck@redhat.com> - 4.3.3-3.redhat_4.1
- add  httpcore-nio artifacts

* Wed May 13 2015 David Walluck <dwalluck@redhat.com> - 4.3.3-2.redhat_4.1
- rebuild to fix goals

* Mon May 11 2015 David Walluck <dwalluck@redhat.com> - 4.3.3-1.redhat_3.1
- rebuild to fix version

* Mon May 11 2015 David Walluck <dwalluck@redhat.com> - 4.3.3-1.redhat_2.1
- fix setup

* Mon May 11 2015 David Walluck <dwalluck@redhat.com> - 4.3.3-1.redhat_2.1
- release

